#include <stdio.h>
#include <stdlib.h>

int main()
{
    unsigned int h,n;
    scanf("%d %d",&h,&n);

    int v[h][n];
    int i,j;
    for(i=0;i<h;i++)
    {
        for(j=0;j<n;j++)
            scanf("%d",&v[i][j]);
    }

    int e[n];
    for(i=0;i<n;i++)
        e[i]=0;

    for(i=0;i<h;i++)
    {
        for(j=0;j<n;j++)
            {
                if(v[i][j]==1)
                    e[j]++;

                else if(v[i][j]==0)
                    e[j]=0;

            }
    }

    int ee[n];
    for(j=0;j<n;j++)
        if(e[j]>0)
            ee[j]=1;
        else if(e[j]==0)
            ee[j]=0;

    for(j=0;j<n;j++)
        printf("%d",ee[j]);

    return 0;
}